from typing import Union
from pydantic import BaseModel, Field, EmailStr

class User(BaseModel):
    username: str
    email: EmailStr
    password: str 

class DataCenter(BaseModel):
    name: str

class Token(BaseModel):
    datacenter: str
    token: str

class UserLoginSchema(BaseModel):
    username: EmailStr = Field(...)
    password: str = Field(...)

    class Config:
        schema_extra = {
            "example": {
                "email": "abdulazeez@x.com",
                "password": "weakpassword"
            }
        }